<sqtm-core-customisable-dialog
  [titleKey]="
    'sqtm-core.administration-workspace.milestones.dialog.title.new-milestone'
  "
  [dialogId]="'create-bind-milestone-dialog'"
>
  <sqtm-core-dialog-body>
    <div class="body-content m-t-5">
      <div>
        <div class="m-10" [formGroup]="formGroup">
          <div class="sqtm-core-dialog-form p-4">
            <label class="label label__align_right">{{
              'sqtm-core.entity.generic.name.label' | translate
            }}</label>
            <sqtm-core-text-field
              [initialFocus]="true"
              [formGroup]="formGroup"
              [fieldName]="'label'"
              [serverSideFieldValidationError]="serverSideValidationErrors"
            >
            </sqtm-core-text-field>

            <label class="label label__align_right">{{
              'sqtm-core.entity.milestone.end-date.label' | translate
            }}</label>
            <sqtm-core-date-picker
              class="full-width"
              [fieldName]="'endDate'"
              [formGroup]="formGroup"
              [serverSideFieldValidationError]="serverSideValidationErrors"
              [allowEmptyValue]="false"
            >
            </sqtm-core-date-picker>

            <label class="label label__align_right">{{
              'sqtm-core.entity.generic.description.label' | translate
            }}</label>
            <sqtm-core-rich-text-field
              [formGroup]="formGroup"
              [fieldName]="'description'"
              [serverSideFieldValidationError]="serverSideValidationErrors"
            >
            </sqtm-core-rich-text-field>
          </div>
        </div>
      </div>
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <div
      style="justify-content: flex-end"
      class="flex-row flex-fixed-size m-b-8 m-r-10"
    >
      <button
        [attr.data-test-dialog-button-id]="
          'create-and-bind-to-project-and-objects'
        "
        nz-button
        nzType="primary"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.entity.milestone.create-and-bind-milestone-to-project-and-objects.label'
            | translate
        "
        (click)="createMilestoneAndBindToProjectAndObjects()"
      >
        {{ 'sqtm-core.generic.label.create-and-bind' | translate }}
      </button>
      <button
        [attr.data-test-dialog-button-id]="'create-and-bind-to-project'"
        style="margin-left: 5px"
        nz-button
        nzType="primary"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.entity.milestone.create-milestone.label' | translate
        "
        (click)="createMilestoneAndBindToProject()"
      >
        {{ 'sqtm-core.generic.label.create' | translate }}
      </button>
      <button
        [attr.data-test-dialog-button-id]="'cancel'"
        style="margin-left: 5px"
        nz-button
        nzType="default"
        nz-tooltip
        [nzTooltipTitle]="'sqtm-core.generic.label.cancel-creation' | translate"
        sqtmCoreDialogClose
      >
        {{ 'sqtm-core.generic.label.cancel' | translate }}
      </button>
    </div>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
